JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
InAppPurchases::Purchase Struct Reference
juce_product_unlocking » in_app_purchases

Represents a purchase of a product in the store. More...

`#include <juce_InAppPurchases.h>`

## Public Attributes
String | orderId
| A unique order identifier for the transaction (generated by the store).
StringArray | productIds
| Unique identifiers of the products that were purchased.
String | applicationBundleName
| This will be bundle ID on iOS and package name on Android, of the application for which this in-app product was purchased.
String | purchaseTime
| Date of the purchase (in ISO8601 format).
String | purchaseToken
| Android only: purchase token that should be used to consume purchase, provided that In-App product is consumable.

## Detailed Description

Represents a purchase of a product in the store.

## Member Data Documentation

## ◆ orderId

String InAppPurchases::Purchase::orderId

A unique order identifier for the transaction (generated by the store).

## ◆ productIds

StringArray InAppPurchases::Purchase::productIds

Unique identifiers of the products that were purchased.

## ◆ applicationBundleName

String InAppPurchases::Purchase::applicationBundleName

This will be bundle ID on iOS and package name on Android, of the application for which this in-app product was purchased.

## ◆ purchaseTime

String InAppPurchases::Purchase::purchaseTime

Date of the purchase (in ISO8601 format).

## ◆ purchaseToken

String InAppPurchases::Purchase::purchaseToken

Android only: purchase token that should be used to consume purchase, provided that In-App product is consumable.

The documentation for this struct was generated from the following file:

- juce_InAppPurchases.h